Skip to content

post/count

Counts posts matching a filter set.

Authentication

Authentication is required. See Authentication.

Permissions

Authentication is required.

Method and path

POST /post/count

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Request body

Uses the same filter model as post/search.

FieldTypeRequiredDescription
project_idintegeryesProject identifier.
starttimestampintegerstringno
endtimestampintegerstringno
date.start / date.endstringnoDate shortcut (YYYY-MM-DD).
intervalintegernoRelative date window in days.
platformstringarray<string>no
sentimentstringnoSentiment filter.
priorityintegerarray<integer>no
text_searchstringnoFull text query.
tags / tags_operatorarray<mixed>/stringnoTag filter and operator.
jobs / jobs_operatorarray<mixed>/stringnoJob filter and operator.
orderBystringnoAccepted but not relevant for count semantics.
orderDirstringnoAccepted but not relevant for count semantics.

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/post/count" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "project_id": 123,
    "starttimestamp": 1715385600,
    "endtimestamp": 1715472000
  }'
json
{
  "project_id": 123,
  "starttimestamp": 1715385600,
  "endtimestamp": 1715472000
}

Example response

json
{
  "total": "<total_matches>"
}

Response fields

FieldTypeDescription
totalintegerTotal number of matching posts.

Doc rev.1.12.3 2026.05.08